glibmm: Gio::RemoteActionGroup Class Reference

glibmm 2.43.91

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::RemoteActionGroup Class Reference

RemoteActionGroup - a ActionGroup that interacts with other processes. More...

`#include <giomm/remoteactiongroup.h>`

Inheritance diagram for Gio::RemoteActionGroup:
[legend]

## Public Member Functions
virtual | ~RemoteActionGroup ()
GRemoteActionGroup* | gobj ()
| Provides access to the underlying C GObject. More...
const GRemoteActionGroup* | gobj () const
| Provides access to the underlying C GObject. More...
void | activate_action (const Glib::ustring& action_name, const Glib::VariantBase& parameter, const Glib::VariantBase& platform_data)
| Activates the remote action. More...
void | change_action_state (const Glib::ustring& action_name, const Glib::VariantBase& value, const Glib::VariantBase& platform_data)
| Changes the state of a remote action. More...
virtual void | activate_action_vfunc (const Glib::ustring& action_name, const Glib::VariantBase& parameter, const Glib::VariantBase& platform_data)
virtual void | change_action_state_vfunc (const Glib::ustring& action_name, const Glib::VariantBase& value, const Glib::VariantBase& platform_data)
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| RemoteActionGroup ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
virtual | ~ObjectBase ()=0
void | initialize (GObject* castitem)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::RemoteActionGroup > | wrap (GRemoteActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

RemoteActionGroup - a ActionGroup that interacts with other processes.

The RemoteActionGroup interface is implemented by ActionGroup instances that either transmit action invocations to other processes or receive action invocations in the local process from other processes.

The interface has variants of the two methods on ActionGroup used to activate actions: Gio::ActionGroup::activate_action() and Gio::ActionGroup::change_action_state(). These variants allow a "platform data" Glib::VariantBase to be specified: a dictionary providing context for the action invocation (for example: timestamps, startup notification IDs, etc).

Gio::DBus::ActionGroup implements RemoteActionGroup. This provides a mechanism to send platform data for action invocations over D-Bus.

Additionally, Gio::DBus::Connection::export_action_group() will check if the exported ActionGroup implements RemoteActionGroup and use the variants of the calls if available. This provides a mechanism by which to receive platform data for action invocations that arrive by way of D-Bus.

Since glibmm 2.32:

## Constructor & Destructor Documentation

Gio::RemoteActionGroup::RemoteActionGroup | ( |  | ) |
| protected

You should derive from this class to use it.

virtual Gio::RemoteActionGroup::~RemoteActionGroup | ( |  | ) |
| virtual

## Member Function Documentation

void Gio::RemoteActionGroup::activate_action | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | parameter,
|  | const Glib::VariantBase& | platform_data
| ) |  |

Activates the remote action.

This is the same as g_action_group_activate_action() except that it allows for provision of "platform data" to be sent along with the activation request. This typically contains details such as the user interaction timestamp or startup notification information.

platform_data must be non-`0` and must have the type VARIANT_TYPE_VARDICT. If it is floating, it will be consumed.

Since glibmm 2.32:

Parameters

  action_name | The name of the action to activate.
  parameter | The optional parameter to the activation.
  platform_data | The platform data to send.

virtual void Gio::RemoteActionGroup::activate_action_vfunc | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | parameter,
|  | const Glib::VariantBase& | platform_data
| ) |  |
| virtual

static void Gio::RemoteActionGroup::add_interface | ( | GType | gtype_implementer | ) |
| static

void Gio::RemoteActionGroup::change_action_state | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | value,
|  | const Glib::VariantBase& | platform_data
| ) |  |

Changes the state of a remote action.

This is the same as g_action_group_change_action_state() except that it allows for provision of "platform data" to be sent along with the state change request. This typically contains details such as the user interaction timestamp or startup notification information.

platform_data must be non-`0` and must have the type VARIANT_TYPE_VARDICT. If it is floating, it will be consumed.

Since glibmm 2.32:

Parameters

  action_name | The name of the action to change the state of.
  value | The new requested value for the state.
  platform_data | The platform data to send.

virtual void Gio::RemoteActionGroup::change_action_state_vfunc | ( | const Glib::ustring& | action_name,
|  | const Glib::VariantBase& | value,
|  | const Glib::VariantBase& | platform_data
| ) |  |
| virtual

static GType Gio::RemoteActionGroup::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GRemoteActionGroup* Gio::RemoteActionGroup::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GRemoteActionGroup* Gio::RemoteActionGroup::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::RemoteActionGroup > wrap | ( | GRemoteActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.